Bug 145661 - System freeze with 2.6.10-1.737 and 741 kernels. 727 works fine.
System freeze with 2.6.10-1.737 and 741 kernels. 727 works fine.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-20 10:25 EST by Kim Lux
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-26 02:30:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2005-01-20 10:25:44 EST
Description of problem: 
My laptop freezes when I run the 2.6.10-1.737 and 741 kernels, smp or 
plain.  (HP ZD7280, 3.2 GHz HT processor.)   
Version-Release number of selected component (if applicable): 
2.6.19-1.737 and 741 freeze.  727 works fine.  
How reproducible: 
Never able to run more than 5 minutes with these kernels before 
freezeup.  Can't start a new session.  Can't do anything except power 
Steps to Reproduce: 
1.Install kernels via up2date. 
2.Reboot.  Run NVIDIA installer. 
3.Start normal days work, ie open Konqueror and Evolution. 
Actual results: 
Freeze up 
Expected results: 
Should be able to work normally.  
Additional info: 
Running Nvidia drivers and ndiswrapper-0.12
Comment 1 Kim Lux 2005-01-26 02:30:26 EST
The problem appeared to be the fact that I was running 
ndiswrapper-0.12 with a kernel using a 4K stack.  
I downloaded and installed kernel 2.6.10-1.753 today and had the very 
same problems.  When I went to build ndiswrapper for it, I happened 
to notice the warning about 4K stacks in the build output. 
As the crashes were generally during network access and because I 
recently got a VOIP phone that exaggerated the problem even with the 
-1.727 kernel, I decided to test a kernel with an 8K stack.  
I downloaded the source for 2.6.10-1.753 and changed only the 4K 
stack option, turning it off.  x.753 doesn't crash anymore.  
I'm changing the status to solved for now.  If the problem reappears, 
I'll change it back.  

Note You need to log in before you can comment on or make changes to this bug.